%def_disable static

Name: liboil
Version: 0.3.2
Release: alt1

Summary: Library of Optimized Inner Loops
License: LGPL
Group: System/Libraries
Url: http://www.schleef.org/%name

Source: %url/download/%name-%version.tar.gz

# requires for tests
# Automatically added by buildreq on Mon Jun 13 2005
BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ gcc-g77 glib2-devel gtk-doc libgpg-error libstdc++-devel pkgconfig xml-common xsltproc

BuildRequires: /proc

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to floating-point
numbers or multiplying and summing an array of N numbers. Clearly such
functions are candidates for significant optimization using various
techniques, especially by using extended instructions provided by modern
CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the code
used by various multimedia projects, and also make optimizations easier
to use by a broad range of applications. 

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for building
%name-based software.

%package devel-doc
Summary: Development documentation for %name
Group: Development/C
Requires: %name = %version-%release

%description devel-doc
This package contains development documentation for %name library.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains development files required for building
statically linked %name-based software.

%prep
%setup -q

%build
%configure \
    %{subst_enable static}

# SMP-incompatible build
%make
%make -C testsuite check-TESTS

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc ChangeLog

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files devel-doc
%_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- 0.3.2
- new devel-doc subpackage.

* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Thu Nov 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- 0.2.2

* Sat Nov 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus
